{% extends "base/base.html" %}

{% block head %}
{% endblock head %}

{% block style %}
{% endblock style %}

{% block main %}
<div class="container-fluid py-5">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card border-0 shadow">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="text-center">
                                <img src="{{ profile.image.url }}" class="img-fluid" alt="Profile Picture">
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="profile-head">
                                <h5>User Name : {{ user.username }}</h5>
                                <h6>Class : {{ profile.department_year }}</h6>
                                {% if is_own_profile %}
                                    <div class="text-end">
                                        <button class="btn btn-secondary">Edit Profile</button>
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4">
                        <div class="col-md-6">
                            <label>Email:</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ user.email }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Contact Number:</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ profile.contact_number }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Address:</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ profile.address }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Blood Group:</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ profile.blood_group }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Birth Date:</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ profile.birth_date }}</p>
                        </div>
                    </div>
                    <div class="row mt-4">
                        <div class="col-md-6">
                            <button class="btn btn-primary"><a href="{{ profile.resume.url }}" download class="text-white">Download Resume</a></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock main %}
